Subject: Re: bonding vs 802.3ad/Cisco EtherChannel link agregation

From: Chris Friesen <[email-masked]>
Date: Mon, 16 Sep 2002 17:22:30 -0400

"David S. Miller" wrote:
>    From: Chris Friesen <[email-masked]>
> 
>    Okay, that makes me even more curious why we don't send successive
>    packets out successive pipes in a bonded link.
> 
> This is not done because it leads to packet reordering which
> if bad enough can trigger retransmits.
> 
> Scott Feldman's posting mentioned this, as did one other I
> think.

I did see those posts, but then I saw yours on how the linux receive end does the right thing with
regards to reordering, and that confused me.

So if I have it right linux-linux could theoretically work okay with a single stream over multiple
links (potentially causing lots of reordering), but linux-router would not work well.

Chris